Subject: Re: Please pull bcm43xx-d80211 bugfixes and new features

From: Larry Finger <[email-masked]>
Date: Tue, 03 Oct 2006 10:07:59 -0500

Michael Buesch wrote:
> On Tuesday 03 October 2006 16:36, Larry Finger wrote:
>> Michael Buesch wrote:
>>>> kernel: bcm43xx_d80211: firmware revision FE84, patchlevel 90B4, date 2000-14-248
>>>>   29:46:18
>>> Uhm, which firmware are you running?
>> The softmac version reports the following (The "loaded" messages are something I'm trying.):
>>
>> kernel: bcm43xx: Firmware: Microcode "bcm43xx_microcode4.fw" loaded.
>> kernel: bcm43xx: Firmware: PCM "bcm43xx_pcm4.fw" loaded.
>> kernel: bcm43xx: Firmware: InitVals0 "bcm43xx_initval01.fw" loaded.
>> kernel: bcm43xx: Microcode rev 0x123, pl 0x21 (2005-01-22  19:48:06)
> 
> Well, so now you know where the problem is.
> I can't debug this for you ;)
> 

I repulled wireless-dev and rebuilt it to find the same problem, which probably is not in your 
recent patches. When I get a chance, I'll see if I can where it goes wrong.

Larry